<template>
  <div class="win">
    <!-- 四个角的边框效果 -->
    <div class="border_corner border_corner_left_top"></div>
    <div class="border_corner border_corner_right_top"></div>
    <div class="border_corner border_corner_left_bottom"></div>
    <div class="border_corner border_corner_right_bottom"></div>
    <div class="main">
      <div class="main-video">
        <el-table
            tooltip-effect="dark"
            :data="displayContentTable2"
        >
          <el-table-column prop="StoragePlaceId" label="序号"></el-table-column>
          <el-table-column prop="StoragePlaceTypeName" label="类别"></el-table-column>
          <el-table-column prop="StoragePlaceName" label="固废名称"></el-table-column>
          <el-table-column prop="StorageZDMJ" label="代码"></el-table-column>
          <el-table-column prop="StorageZCNL" label="产生量"></el-table-column>
          <el-table-column prop="StorageZCL" label="储存量"></el-table-column>
          <el-table-column prop="StorageType" label="产生装置"></el-table-column>
        </el-table>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'PublicTable',
  props: ['displayContentTable'],
  data () {
    return {
      displayContentTable2: [
        {
          CompanyName: '中韩石化',
          StoragePlaceId: 3,
          StoragePlaceName: '灰渣场',
          StoragePlaceTypeName: '一般固废填埋场',
          StorageType: '粉煤灰、灰渣',
          StorageZCL: '38',
          StorageZCNL: '40.7',
          StorageZDMJ: '10.60798'
        }
      ],
      displayContentTable3: []
    }
  }
}
</script>

<style lang="less" scoped>
.win {
  position: relative;
  background-color: rgba(33, 41, 69, 0.9);
}

.main {
  width: 100%;
  height: 100%;

  .main-video {
    width: 100%;
    min-height: 195px;

    video {
      width: 100%;
      height: 100%;
      outline: none;
    }
  }
}

.border_corner {
  z-index: 999;
  position: absolute;
  width: 14px;
  height: 14px;
  background: rgba(0, 0, 0, 0);
  border: 1.5px solid #47d5ea;
}

.border_corner_left_top {
  top: 0;
  left: 0;
  border-right: none;
  border-bottom: none;
}

.border_corner_right_top {
  top: 0;
  right: 0;
  border-left: none;
  border-bottom: none;
}

.border_corner_left_bottom {
  bottom: 0;
  left: 0;
  border-right: none;
  border-top: none;
}

.border_corner_right_bottom {
  bottom: 0;
  right: 0;
  border-left: none;
  border-top: none;
}
</style>
